Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.semanticweb.owlapi.owllink.builtin.response
Interface SetOfX<E>

All Superinterfaces:
  java.util.Collection<E>, Confirmation, java.lang.Iterable<E>, KBResponse, Response, java.util.Set<E>

All Known Subinterfaces:
  DataPropertySynonyms, IndividualSynonyms, SetOfAnnotationProperties, SetOfClasses, SetOfDataProperties, SetOfDatatypes, SetOfIndividuals, SetOfLiterals, SetOfObjectProperties, SetOfResponse<E>

    public interface SetOfX<E>

extends java.util.Set<E>, KBResponse

Created by IntelliJ IDEA. Author: Olaf Noppens Date: 24.10.2009

Method Summary
`E` | `getSingletonElement()` Gets the one and only element if this set of synonyms is a singleton set
`boolean` | `isSingleton()` Determines if this set of synonyms is a singleton set.

Methods inherited from interface java.util.Set
`add, addAll, clear, contains, containsAll, equals, hashCode, isEmpty, iterator, remove, removeAll, retainAll, size, toArray, toArray`

Methods inherited from interface org.semanticweb.owlapi.owllink.builtin.response.Confirmation
`getWarning, hasWarning`

Methods inherited from interface org.semanticweb.owlapi.owllink.builtin.Response
`accept`

Method Detail

### isSingleton

    boolean isSingleton()

  Determines if this set of synonyms is a singleton set.

  Returns:
    `true` if this synonym set is a singleton set, otherwise `false`

### getSingletonElement

    E getSingletonElement()

  Gets the one and only element if this set of synonyms is a singleton set

  Returns:
    the one and only element if this set is a singleton set. If this set is not a singleton set then a runtime exception will be thrown
  See Also:
    `isSingleton()`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD